# Created by pyp2rpm-3.3.6
%global pypi_name httpx-socks
 	%global srcname httpx_socks

Name:           python-%{pypi_name}
Version:        0.10.0
Release:        %mkrel 3
Summary:        Proxy (HTTP, SOCKS) transports for httpx
Group:          Development/Python
License:        Apache 2
URL:            https://github.com/romis2012/httpx-socks
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5, HTTP (tunneling) proxy supported. It uses python-socks for core proxy
functionality.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The httpx-socks package provides proxy transports for httpx client. SOCKS4(a),
SOCKS5, HTTP (tunneling) proxy supported. It uses python-socks for core proxy
functionality.

%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files httpx_socks

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 0.10.0-3.mga10
+ Revision: 2250148
- Mageia 10 Mass Rebuild

* Thu Mar 27 2025 katnatek <katnatek> 0.10.0-2.mga10
+ Revision: 2170449
- Use again modern build for python modules

* Thu Mar 27 2025 katnatek <katnatek> 0.10.0-1.mga10
+ Revision: 2170439
- Update to version 0.10.0

* Sun Mar 02 2025 wally <wally> 0.8.1-2.mga10
+ Revision: 2157124
- rebuild for python3.13

* Fri Jun 28 2024 papoteur <papoteur> 0.8.1-1.mga10
+ Revision: 2077536
- new version 0.8.1

* Mon Jan 29 2024 papoteur <papoteur> 0.7.7-2.mga10
+ Revision: 2035838
- rebuild for python 3.12
- new version 0.7.7

* Wed Mar 23 2022 umeabot <umeabot> 0.4.1-3.mga9
+ Revision: 1822979
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.4.1-2.mga9
+ Revision: 1778501
- Rebuild for python-3.10

* Sun Aug 22 2021 wally <wally> 0.4.1-1.mga9
+ Revision: 1742180
- imported package python-httpx-socks

